////////////////////////////////////////////////////////////////////////////////
//
//  THIS CODE IS NOT APPROVED FOR USE IN/ON ANY OTHER UI ELEMENT OR PRODUCT COMPONENT.
//  Copyright (c) 2007 David E. Craig.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////

/*
DESCRIPTION
===========
The HELPER.JS file contains a set of helper functions that are
not specificlly related to the project (thus not included in CORE).

NOTE: External dependencies should be avoided if at all 
      possible.
*/

/*============================================================
FUNCTION:   findItemInArray( array , string )
PARAMETERS: a (array) an array of strings
        f (string) a string to find in the array
RETURNS:    number specifying the location in the 
            array in which the string was found
CREATED BY: David E. Craig
CREATED ON: 04/24/2007
DESCRIPTION:
Looks through the array for the string that is
extracted from the f (string) passed into the function. It
then returns that array index position. If nothing is found
then -1 is returned.
==============================================================*/
function findItemInArray(a, f)
{   

    var retVal=-1;
    if(f==null) return retVal;
    for(i=0;i<a.length;i++)
    {
        if(a[i]!=null)
        {
            if(a[i].toLowerCase()==f.toLowerCase())
            {
                retVal = i;
                break;
            }
        }
    }
    return retVal;
}
